Bug 117150 - dependency cycle between gpm, ncurses
dependency cycle between gpm, ncurses
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gpm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On: 1221243
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-29 10:14 EST by Jonathan Kamens
Modified: 2015-05-13 10:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.20.1-45
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-22 16:00:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2004-02-29 10:14:46 EST
prelink complains that /usr/lib/libgpm.so.1.19.0 and
/usr/lib/libncurses.so.5.4 have a dependency cycle.  Indeed, libgpm
depends on libncurses and libncurses depends on libgpm.  I have
ncurses-5.4-4 and gpm-1.20.1-43.  Is this dependency cycle OK?
Comment 1 Thomas E. Dickey 2004-03-14 10:13:20 EST
libgpm shouldn't depend on ncurses (this bug comes & goes -
a chunk of ncurses is linked with the gpm library for some
application which I've never seen identified).

Note You need to log in before you can comment on or make changes to this bug.